# Makefile.in generated automatically by automake 1.2a from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

#	This file is part of the KDE libraries
#    Copyright (C) 1996-1997 Matthias Kalle Dalheimer (kalle@kde.org)
#              (C) 1997 Stephan Kulow (coolo@kde.org)

#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.

#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.

#    You should have received a copy of the GNU Library General Public License
#    along with this library; see the file COPYING.LIB.  If not, write to
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#    Boston, MA 02111-1307, USA.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
CC = @CC@
CPP = @CPP@
CXX = @CXX@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_RPATH = @KDE_RPATH@
LD = @LD@
LIBCOMPAT = @LIBCOMPAT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBSOCKET = @LIBSOCKET@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MOC = @MOC@
MSGFMT = @MSGFMT@
NM = @NM@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
all_includes = @all_includes@
all_libraries = @all_libraries@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_cgidir = @kde_cgidir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kccmodules = @kde_kccmodules@
kde_libraries = @kde_libraries@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_minidir = @kde_minidir@
kde_partsdir = @kde_partsdir@
kde_toolbardir = @kde_toolbardir@
kde_wallpaperdir = @kde_wallpaperdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
topdir = @topdir@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES = -I../kdeui -I../kdecore $(QT_INCLUDES) $(X_INCLUDES)

LDADD = -lkdeui -L$(topdir)/kdecore/.libs -lkdecore -L$(topdir)/kdeui/.libs $(QT_LDFLAGS) -lqt $(X_LDFLAGS) -lXext -lX11

DISTCLEANFILES = $(BUILT_SOURCES)

noinst_PROGRAMS = kconfigtest kledlamptest kprogresstest kurltest \
		kcolordlgtest kdatepicktest kfontdialogtest	\
		kmsgboxtest kpopuptest ktabctltest ktreelisttest	\
		kkeyconfigtest kseparatortest kiconloadertest		\
		kwindowtest klinetest kstatusbartest kspinboxtest	\
		kprocesstest kpannertest kbuttonboxtest ksimpleconfigtest

noinst_HEADERS = kdatepicktestdlg.h kmsgboxtest.h ktreelisttest.h \
		kkeyconfigtest.h ktabctltest.h kiconloadertestmain.h	\
		kwindowtest.h klinetest.h kstatusbartest.h kspinboxtest.h	\
		kprocesstest.h

BUILT_SOURCES = ktabctltest.moc kmsgboxtest.moc kdatepicktestdlg.moc \
		ktreelisttest.moc kkeyconfigtest.moc kiconloadertestmain.moc \
		kconfigtest.moc kpannertest.moc kwindowtest.moc klinetest.moc \
		kstatusbartest.moc kspinboxtest.moc kprocesstest.moc 

kconfigtest_SOURCES = kconfigtest.cpp
kledlamptest_SOURCES = kledlamptest.cpp
kprogresstest_SOURCES = kprogresstest.cpp
kurltest_SOURCES = kurltest.cpp
kpannertest_SOURCES = kpannertest.cpp
kcolordlgtest_SOURCES = kcolordlgtest.cpp
kdatepicktest_SOURCES = kdatepicktest.cpp kdatepicktestdlg.cpp
kfontdialogtest_SOURCES = kfontdialogtest.cpp
kmsgboxtest_SOURCES = kmsgboxtest.cpp
kpopuptest_SOURCES = kpopuptest.cpp
ktabctltest_SOURCES = ktabctltest.cpp
ktreelisttest_SOURCES = ktreelisttest.cpp
kkeyconfigtest_SOURCES = kkeyconfigtest.cpp
kseparatortest_SOURCES = kseparatortest.cpp
kiconloadertest_SOURCES = kiconloadertest.cpp kiconloadertestmain.cpp
kwindowtest_SOURCES = kwindowtest.cpp
klinetest_SOURCES = klinetest.cpp
kstatusbartest_SOURCES = kstatusbartest.cpp
kspinboxtest_SOURCES = kspinboxtest.cpp
kprocesstest_SOURCES = kprocesstest.cpp
kbuttonboxtest_SOURCES = kbuttonboxtest.cpp
ksimpleconfigtest_SOURCES = ksimpleconfigtest.cpp
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
kconfigtest_OBJECTS =  kconfigtest.o
kconfigtest_LDADD = $(LDADD)
kconfigtest_DEPENDENCIES = 
kconfigtest_LDFLAGS = 
kledlamptest_OBJECTS =  kledlamptest.o
kledlamptest_LDADD = $(LDADD)
kledlamptest_DEPENDENCIES = 
kledlamptest_LDFLAGS = 
kprogresstest_OBJECTS =  kprogresstest.o
kprogresstest_LDADD = $(LDADD)
kprogresstest_DEPENDENCIES = 
kprogresstest_LDFLAGS = 
kurltest_OBJECTS =  kurltest.o
kurltest_LDADD = $(LDADD)
kurltest_DEPENDENCIES = 
kurltest_LDFLAGS = 
kcolordlgtest_OBJECTS =  kcolordlgtest.o
kcolordlgtest_LDADD = $(LDADD)
kcolordlgtest_DEPENDENCIES = 
kcolordlgtest_LDFLAGS = 
kdatepicktest_OBJECTS =  kdatepicktest.o kdatepicktestdlg.o
kdatepicktest_LDADD = $(LDADD)
kdatepicktest_DEPENDENCIES = 
kdatepicktest_LDFLAGS = 
kfontdialogtest_OBJECTS =  kfontdialogtest.o
kfontdialogtest_LDADD = $(LDADD)
kfontdialogtest_DEPENDENCIES = 
kfontdialogtest_LDFLAGS = 
kmsgboxtest_OBJECTS =  kmsgboxtest.o
kmsgboxtest_LDADD = $(LDADD)
kmsgboxtest_DEPENDENCIES = 
kmsgboxtest_LDFLAGS = 
kpopuptest_OBJECTS =  kpopuptest.o
kpopuptest_LDADD = $(LDADD)
kpopuptest_DEPENDENCIES = 
kpopuptest_LDFLAGS = 
ktabctltest_OBJECTS =  ktabctltest.o
ktabctltest_LDADD = $(LDADD)
ktabctltest_DEPENDENCIES = 
ktabctltest_LDFLAGS = 
ktreelisttest_OBJECTS =  ktreelisttest.o
ktreelisttest_LDADD = $(LDADD)
ktreelisttest_DEPENDENCIES = 
ktreelisttest_LDFLAGS = 
kkeyconfigtest_OBJECTS =  kkeyconfigtest.o
kkeyconfigtest_LDADD = $(LDADD)
kkeyconfigtest_DEPENDENCIES = 
kkeyconfigtest_LDFLAGS = 
kseparatortest_OBJECTS =  kseparatortest.o
kseparatortest_LDADD = $(LDADD)
kseparatortest_DEPENDENCIES = 
kseparatortest_LDFLAGS = 
kiconloadertest_OBJECTS =  kiconloadertest.o kiconloadertestmain.o
kiconloadertest_LDADD = $(LDADD)
kiconloadertest_DEPENDENCIES = 
kiconloadertest_LDFLAGS = 
kwindowtest_OBJECTS =  kwindowtest.o
kwindowtest_LDADD = $(LDADD)
kwindowtest_DEPENDENCIES = 
kwindowtest_LDFLAGS = 
klinetest_OBJECTS =  klinetest.o
klinetest_LDADD = $(LDADD)
klinetest_DEPENDENCIES = 
klinetest_LDFLAGS = 
kstatusbartest_OBJECTS =  kstatusbartest.o
kstatusbartest_LDADD = $(LDADD)
kstatusbartest_DEPENDENCIES = 
kstatusbartest_LDFLAGS = 
kspinboxtest_OBJECTS =  kspinboxtest.o
kspinboxtest_LDADD = $(LDADD)
kspinboxtest_DEPENDENCIES = 
kspinboxtest_LDFLAGS = 
kprocesstest_OBJECTS =  kprocesstest.o
kprocesstest_LDADD = $(LDADD)
kprocesstest_DEPENDENCIES = 
kprocesstest_LDFLAGS = 
kpannertest_OBJECTS =  kpannertest.o
kpannertest_LDADD = $(LDADD)
kpannertest_DEPENDENCIES = 
kpannertest_LDFLAGS = 
kbuttonboxtest_OBJECTS =  kbuttonboxtest.o
kbuttonboxtest_LDADD = $(LDADD)
kbuttonboxtest_DEPENDENCIES = 
kbuttonboxtest_LDFLAGS = 
ksimpleconfigtest_OBJECTS =  ksimpleconfigtest.o
ksimpleconfigtest_LDADD = $(LDADD)
ksimpleconfigtest_DEPENDENCIES = 
ksimpleconfigtest_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(LIBTOOL) --mode=link $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(kconfigtest_SOURCES) $(kledlamptest_SOURCES) $(kprogresstest_SOURCES) $(kurltest_SOURCES) $(kcolordlgtest_SOURCES) $(kdatepicktest_SOURCES) $(kfontdialogtest_SOURCES) $(kmsgboxtest_SOURCES) $(kpopuptest_SOURCES) $(ktabctltest_SOURCES) $(ktreelisttest_SOURCES) $(kkeyconfigtest_SOURCES) $(kseparatortest_SOURCES) $(kiconloadertest_SOURCES) $(kwindowtest_SOURCES) $(klinetest_SOURCES) $(kstatusbartest_SOURCES) $(kspinboxtest_SOURCES) $(kprocesstest_SOURCES) $(kpannertest_SOURCES) $(kbuttonboxtest_SOURCES) $(ksimpleconfigtest_SOURCES)
OBJECTS = $(kconfigtest_OBJECTS) $(kledlamptest_OBJECTS) $(kprogresstest_OBJECTS) $(kurltest_OBJECTS) $(kcolordlgtest_OBJECTS) $(kdatepicktest_OBJECTS) $(kfontdialogtest_OBJECTS) $(kmsgboxtest_OBJECTS) $(kpopuptest_OBJECTS) $(ktabctltest_OBJECTS) $(ktreelisttest_OBJECTS) $(kkeyconfigtest_OBJECTS) $(kseparatortest_OBJECTS) $(kiconloadertest_OBJECTS) $(kwindowtest_OBJECTS) $(klinetest_OBJECTS) $(kstatusbartest_OBJECTS) $(kspinboxtest_OBJECTS) $(kprocesstest_OBJECTS) $(kpannertest_OBJECTS) $(kbuttonboxtest_OBJECTS) $(ksimpleconfigtest_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kdetest/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	rm -f *.lo

clean-libtool:
#	rm -rf .libs
	rm -rf _libs .libs

distclean-libtool:

maintainer-clean-libtool:

kconfigtest: $(kconfigtest_OBJECTS) $(kconfigtest_DEPENDENCIES)
	@rm -f kconfigtest
	$(CXXLINK) $(kconfigtest_LDFLAGS) $(kconfigtest_OBJECTS) $(kconfigtest_LDADD) $(LIBS)

kledlamptest: $(kledlamptest_OBJECTS) $(kledlamptest_DEPENDENCIES)
	@rm -f kledlamptest
	$(CXXLINK) $(kledlamptest_LDFLAGS) $(kledlamptest_OBJECTS) $(kledlamptest_LDADD) $(LIBS)

kprogresstest: $(kprogresstest_OBJECTS) $(kprogresstest_DEPENDENCIES)
	@rm -f kprogresstest
	$(CXXLINK) $(kprogresstest_LDFLAGS) $(kprogresstest_OBJECTS) $(kprogresstest_LDADD) $(LIBS)

kurltest: $(kurltest_OBJECTS) $(kurltest_DEPENDENCIES)
	@rm -f kurltest
	$(CXXLINK) $(kurltest_LDFLAGS) $(kurltest_OBJECTS) $(kurltest_LDADD) $(LIBS)

kcolordlgtest: $(kcolordlgtest_OBJECTS) $(kcolordlgtest_DEPENDENCIES)
	@rm -f kcolordlgtest
	$(CXXLINK) $(kcolordlgtest_LDFLAGS) $(kcolordlgtest_OBJECTS) $(kcolordlgtest_LDADD) $(LIBS)

kdatepicktest: $(kdatepicktest_OBJECTS) $(kdatepicktest_DEPENDENCIES)
	@rm -f kdatepicktest
	$(CXXLINK) $(kdatepicktest_LDFLAGS) $(kdatepicktest_OBJECTS) $(kdatepicktest_LDADD) $(LIBS)

kfontdialogtest: $(kfontdialogtest_OBJECTS) $(kfontdialogtest_DEPENDENCIES)
	@rm -f kfontdialogtest
	$(CXXLINK) $(kfontdialogtest_LDFLAGS) $(kfontdialogtest_OBJECTS) $(kfontdialogtest_LDADD) $(LIBS)

kmsgboxtest: $(kmsgboxtest_OBJECTS) $(kmsgboxtest_DEPENDENCIES)
	@rm -f kmsgboxtest
	$(CXXLINK) $(kmsgboxtest_LDFLAGS) $(kmsgboxtest_OBJECTS) $(kmsgboxtest_LDADD) $(LIBS)

kpopuptest: $(kpopuptest_OBJECTS) $(kpopuptest_DEPENDENCIES)
	@rm -f kpopuptest
	$(CXXLINK) $(kpopuptest_LDFLAGS) $(kpopuptest_OBJECTS) $(kpopuptest_LDADD) $(LIBS)

ktabctltest: $(ktabctltest_OBJECTS) $(ktabctltest_DEPENDENCIES)
	@rm -f ktabctltest
	$(CXXLINK) $(ktabctltest_LDFLAGS) $(ktabctltest_OBJECTS) $(ktabctltest_LDADD) $(LIBS)

ktreelisttest: $(ktreelisttest_OBJECTS) $(ktreelisttest_DEPENDENCIES)
	@rm -f ktreelisttest
	$(CXXLINK) $(ktreelisttest_LDFLAGS) $(ktreelisttest_OBJECTS) $(ktreelisttest_LDADD) $(LIBS)

kkeyconfigtest: $(kkeyconfigtest_OBJECTS) $(kkeyconfigtest_DEPENDENCIES)
	@rm -f kkeyconfigtest
	$(CXXLINK) $(kkeyconfigtest_LDFLAGS) $(kkeyconfigtest_OBJECTS) $(kkeyconfigtest_LDADD) $(LIBS)

kseparatortest: $(kseparatortest_OBJECTS) $(kseparatortest_DEPENDENCIES)
	@rm -f kseparatortest
	$(CXXLINK) $(kseparatortest_LDFLAGS) $(kseparatortest_OBJECTS) $(kseparatortest_LDADD) $(LIBS)

kiconloadertest: $(kiconloadertest_OBJECTS) $(kiconloadertest_DEPENDENCIES)
	@rm -f kiconloadertest
	$(CXXLINK) $(kiconloadertest_LDFLAGS) $(kiconloadertest_OBJECTS) $(kiconloadertest_LDADD) $(LIBS)

kwindowtest: $(kwindowtest_OBJECTS) $(kwindowtest_DEPENDENCIES)
	@rm -f kwindowtest
	$(CXXLINK) $(kwindowtest_LDFLAGS) $(kwindowtest_OBJECTS) $(kwindowtest_LDADD) $(LIBS)

klinetest: $(klinetest_OBJECTS) $(klinetest_DEPENDENCIES)
	@rm -f klinetest
	$(CXXLINK) $(klinetest_LDFLAGS) $(klinetest_OBJECTS) $(klinetest_LDADD) $(LIBS)

kstatusbartest: $(kstatusbartest_OBJECTS) $(kstatusbartest_DEPENDENCIES)
	@rm -f kstatusbartest
	$(CXXLINK) $(kstatusbartest_LDFLAGS) $(kstatusbartest_OBJECTS) $(kstatusbartest_LDADD) $(LIBS)

kspinboxtest: $(kspinboxtest_OBJECTS) $(kspinboxtest_DEPENDENCIES)
	@rm -f kspinboxtest
	$(CXXLINK) $(kspinboxtest_LDFLAGS) $(kspinboxtest_OBJECTS) $(kspinboxtest_LDADD) $(LIBS)

kprocesstest: $(kprocesstest_OBJECTS) $(kprocesstest_DEPENDENCIES)
	@rm -f kprocesstest
	$(CXXLINK) $(kprocesstest_LDFLAGS) $(kprocesstest_OBJECTS) $(kprocesstest_LDADD) $(LIBS)

kpannertest: $(kpannertest_OBJECTS) $(kpannertest_DEPENDENCIES)
	@rm -f kpannertest
	$(CXXLINK) $(kpannertest_LDFLAGS) $(kpannertest_OBJECTS) $(kpannertest_LDADD) $(LIBS)

kbuttonboxtest: $(kbuttonboxtest_OBJECTS) $(kbuttonboxtest_DEPENDENCIES)
	@rm -f kbuttonboxtest
	$(CXXLINK) $(kbuttonboxtest_LDFLAGS) $(kbuttonboxtest_OBJECTS) $(kbuttonboxtest_LDADD) $(LIBS)

ksimpleconfigtest: $(ksimpleconfigtest_OBJECTS) $(ksimpleconfigtest_DEPENDENCIES)
	@rm -f ksimpleconfigtest
	$(CXXLINK) $(ksimpleconfigtest_LDFLAGS) $(ksimpleconfigtest_OBJECTS) $(ksimpleconfigtest_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = kdetest

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

all: Makefile $(PROGRAMS) $(HEADERS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

clean:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean

distclean:  distclean-noinstPROGRAMS distclean-compile distclean-libtool \
		distclean-tags distclean-generic clean
	rm -f config.status
	rm -f libtool

maintainer-clean:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


ktabctltest.cpp: ktabctltest.moc
kiconloadertestmain.cpp: kiconloadertestmain.moc
kmsgboxtest.cpp: kmsgboxtest.moc
kdatepicktestdlg.cpp: kdatepicktestdlg.moc
ktreelisttest.cpp: ktreelisttest.moc
kkeyconfigtest.cpp: kkeyconfigtest.moc
kconfigtest.cpp: kconfigtest.moc
kpannertest.cpp: kpannertest.moc
kwindowtest.cpp: kwindowtest.moc
klinetest.cpp: klinetest.moc
kstatusbartest.cpp: kstatusbartest.moc
kspinboxtest.cpp: kspinboxtest.moc
kprocesstest.cpp: kprocesstest.moc

klinetest.moc: klinetest.h
	$(MOC) klinetest.h -o klinetest.moc

kspinboxtest.moc: kspinboxtest.h
	$(MOC) kspinboxtest.h -o kspinboxtest.moc

ktabctltest.moc: ktabctltest.h
	$(MOC) ktabctltest.h -o ktabctltest.moc

kmsgboxtest.moc: kmsgboxtest.h
	$(MOC) kmsgboxtest.h -o kmsgboxtest.moc

kdatepicktestdlg.moc: kdatepicktestdlg.h
	$(MOC) kdatepicktestdlg.h -o kdatepicktestdlg.moc

ktreelisttest.moc: ktreelisttest.h
	$(MOC) ktreelisttest.h -o ktreelisttest.moc

kwindowtest.moc: kwindowtest.h
	$(MOC) kwindowtest.h -o kwindowtest.moc

kpannertest.moc: kpannertest.h
	$(MOC) kpannertest.h -o kpannertest.moc

kkeyconfigtest.moc: kkeyconfigtest.h
	$(MOC) kkeyconfigtest.h -o kkeyconfigtest.moc

kiconloadertestmain.moc: kiconloadertestmain.h
	$(MOC) kiconloadertestmain.h -o kiconloadertestmain.moc

kstatusbartest.moc: kstatusbartest.h
	$(MOC) kstatusbartest.h -o kstatusbartest.moc

kconfigtest.moc: kconfigtest.h
	$(MOC) kconfigtest.h -o kconfigtest.moc

kprocesstest.moc: kprocesstest.h
	$(MOC) kprocesstest.h -o kprocesstest.moc

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
